Page MenuHomePhabricator

Add a tooltip to all non-obvious concepts like split categories, abbreviations
Closed, ResolvedPublic

Description

During Round 2 of feedback, Jan raised the important point that most people don't know what "lightly active" means. Even with a more descriptive name, some of these categories might not make sense. We should add tool tips / popups that explain them better. Read the original feedback here: https://www.mediawiki.org/wiki/Topic:Tom5451z0qbw2qk4

From that, I also extrapolate that we should go over the site from the perspective of someone new to all the terms, and identify anything that's not obvious. We can then apply the same fix.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 2:43 PM
Ottomata renamed this task from Label breakdown categories and other non-obvious concepts to Alpha release: Label breakdown categories and other non-obvious concepts.Oct 12 2017, 4:11 PM
Ottomata edited projects, added Analytics-Kanban; removed Analytics.
Nuria assigned this task to fdans.Oct 12 2017, 4:36 PM
Milimetric added a subscriber: fdans.
mforns added a subscriber: DarTar.
mforns added a subscriber: mforns.

From duplicate task:

The current version of Wikistats 2.0 links out to the full page on Meta describing a metric. It would be useful to have a condensed definition of a metric displayed as a tooltip, with a "more" link to the wiki page for people who want to dig into the details of how the metric is designed.

Milimetric renamed this task from Alpha release: Label breakdown categories and other non-obvious concepts to Add a tooltip to all non-obvious concepts like split categories, abbreviations.Dec 19 2017, 3:13 PM
Milimetric triaged this task as High priority.May 7 2018, 8:10 PM
Milimetric added a project: Analytics.
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.May 10 2018, 8:59 PM

Change 478824 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Add tooltip Vue directive and use it

https://gerrit.wikimedia.org/r/478824

fdans added a comment.Dec 14 2018, 8:04 AM

Current look of the tooltip in my browser:

Change 478824 merged by Milimetric:
[analytics/wikistats2@master] Add tooltip Vue directive and use it

https://gerrit.wikimedia.org/r/478824

Change 479871 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Update tooltip text and infrastructure

https://gerrit.wikimedia.org/r/479871

Change 479871 merged by Milimetric:
[analytics/wikistats2@master] Update tooltip text and infrastructure

https://gerrit.wikimedia.org/r/479871

Nuria closed this task as Resolved.
Nuria added a subscriber: Erik_Zachte.